Oracle db Connection keep saying: "System.data.oracleclient requires oracle client software version 8.1.7 or greater" even though already installed ODAC v12c

URGENT (NEED HELP ASAP)

In other device my flow is works.

but in current device Oracle db Connection keep saying: “System.data.oracleclient requires oracle client software version 8.1.7 or greater” even thought already installed ODAC v12c =_=

when in oracle client 12c installation process, this popup occured:

So i uncheklist this and then finally i can finish install the oracle client v12c:

But the result when i run my RPA flow, Oracle db Connection keep saying: “System.data.oracleclient requires oracle client software version 8.1.7 or greater” even thought already installed ODAC v12c =_=

More detailed info:

  1. in registry:
  2. in folder directory:
  3. in services:

A) current device:

  • windows 10 pro 64bit
  • UiPath Studio enterprise 21.10.3
  • i even reinstall the oracle client 12c 32bit and install the oracle client 12c 64bit.
    Result: Oracle db Connection keep saying: “System.data.oracleclient requires oracle client software version 8.1.7 or greater” (UiPath in this device is stupid that can’t detect oracle client installed on this device)

B) previous device:

  • windows server 2012 R2 64bit
  • UiPath Studio Enterprise 20.10.2
  • without oracle client installed,
    Result: Oracle db Connection keep saying: “System.data.oracleclient requires oracle client software version 8.1.7 or greater”
  • Install oracle client 11g 32bit,
    Result: issue solved . (UiPath in this device can detect the oracle client 11g 32bit)

SO, what’s wrong with the oracle client 12c installation process?
or what else i can do about this issue?

@Yoichi maybe u have experience in this or have any idea what should i do?

Hi,

Sorry, I don’t have enough knowledge about oracle installation/settings.

@ppr @Palaniyappan @StefanSchnell @kirankumar.mahanthi1 @Srini84 @prasath_S @rahulsharma @lakshman @pravin_calvin
Can someone help this?

Regards,

3 Likes

Hi @wija

Check with below link for the installation steps!

https://kb.wisc.edu/helpdesk/page.php?id=91189

Regards

@wija

Not sure much, but can you check below links for your reference

Hope this helps you

Thanks

1 Like

based on your link:
Oracle Installation Guide

My oracle client already exsisted:

and the folder path already same with my screenshot above:

BUT still the RPA still keep saying: “System.data.oracleclient requires oracle client software version 8.1.7 or greater”

Hi,

First of all thanks @Yoichi for redirecting issue to fellow forum members. Really appreciate.

@wija

First we will try to complete installation for oracle12c. I could see one of your screenshot you got INS 50013 error to solve this we have to install oracle developer tools for visual studio. When we install this we would get .net packages it would help for our RPA. Once you install oracle developer tools for vs you would not get that popup. Please refer the below stack overflow link for installation url.

Once we will perform full installation without any errors for oracle12c we will try the same in uipath. Sharing my thoughts on the issue. Please try and let us know. Thanks.

so you mean i have to install visual studio first in order to install the “oracle developer tools for visual studio”?

But will that “oracle developer tools for visual studio” resolve my issue about keep getting “System.data.oracleclient requires oracle client software version 8.1.7 or greater” even thought already installed ODAC v12c?

o you mean i have to install visual studio first in order to install the “oracle developer tools for visual studio”?

We no need to install visual studio in your machine/server. you have to install the oracle developer tools for visual studio. it is a toolset which help visual studio to connect with the Oracle database. But we need this tool set since our RPA platform would need some of the packages. my suggestion install the Oracle developer tools for visual studio with the below link and uninstall your ODAC 12c and install without that error you are facing earlier. it might resolve your issue.

ut will that “oracle developer tools for visual studio” resolve my issue about keep getting “System.data.oracleclient requires oracle client software version 8.1.7 or greater” even thought already installed ODAC v12c?

please let us know where exactly you are getting this error in uipath.

But this error pop up says i have to install visual studio first

Hi

Did we try with this work around for similar issue

Cheers @wija

read back your link and compare my details info i posting above :frowning: already correct

ok. in my company by default we have this visual studio. if you don’t have any restrictions could you install the visual studio too. thanks.

trying download & install vs community version, but slow internet

don’t know what to added:

we can choose all i guess. but i am suggesting in our case we can go with Data storage and processing.

god, how many gb do u think haha.

me too

Haha. installing software such a headache. infrastructure team need to take care of all this. are you trying in your machine or office. i think it will occupy so much as you told we will go with that data storage alone.

i think i will give up

this is so weird in the other office machine getting same error but once oracle client installed all working fine, but when my PIC told me to migrating the RPA flows into another office machine this issue happen again but not resolved even thought oracle client installed. sh*t